RubyGems Navigation menu

omniauth-rails_csrf_protection 0.1.0

This gem provides a mitigation against CVE-2015-9284 (Cross-Site Request Forgery on the request phrase when using OmniAuth gem with a Ruby on Rails application) by implementing a CSRF token verifier that directly utilize `ActionController::RequestForgeryProtection` code from Rails.

Gemfile:
= Copiar al portapapeles ¡Copiado!

instalar:
=

Versiones:

  1. 1.0.2 - May 10, 2024 (8 KB)
  2. 1.0.1 - February 07, 2022 (10,5 KB)
  3. 1.0.0 - January 14, 2021 (10,5 KB)
  4. 0.1.2 - June 04, 2019 (10,5 KB)
  5. 0.1.1 - June 02, 2019 (10,5 KB)
  6. 0.1.0 - May 30, 2019 (10,5 KB)
Mostrar todas las versiones (6 total)

dependencias de Runtime (2):

actionpack >= 5.1.0
omniauth >= 1.3.1

dependencias de Development (4):

bundler >= 0
minitest >= 0
rails >= 0
rake >= 0

Propietarios:

Autores:

  • Cookpad Inc.

SHA 256 checksum:

b3cab55cf1948a4d5ae77725fd92273a5b4ceb1dba8dc0f7c5800caf5b172c09

Total de descargas 35.057.294

Para esta versión 8.297

Licencia:

MIT

Versión de Ruby requerida: >= 0

Enlace: